> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Updates a Passkey or WebAuthn registration.



## OpenAPI

````yaml PUT /v1/webauthn/{webauthn_registration_id}
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/webauthn/{webauthn_registration_id}:
    put:
      tags:
        - Webauthn
      summary: Update
      description: Updates a Passkey or WebAuthn registration.
      operationId: api_webauthn_v1_Update
      parameters:
        - name: webauthn_registration_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Globally unique UUID that identifies a Passkey or WebAuthn
              registration in the Stytch API. The `webauthn_registration_id` is
              used when you need to operate on a specific User's WebAuthn
              registration.
          description: >-
            Globally unique UUID that identifies a Passkey or WebAuthn
            registration in the Stytch API. The `webauthn_registration_id` is
            used when you need to operate on a specific User's WebAuthn
            registration.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/api_webauthn_v1_UpdateRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_webauthn_v1_UpdateResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // PUT /v1/webauthn/{webauthn_registration_id}
            const stytch = require('stytch');

            const client = new stytch.Client({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              webauthn_registration_id: "webauthn-registration-test-5c44cc6a-8af7-48d6-8da7-ea821342f5a6",
              name: "Google Passkey",
            };

            client.WebAuthn.Update(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// PUT /v1/webauthn/{webauthn_registration_id}\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/webauthn\"\n)\n\nfunc main() {\n\tclient, err := stytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &webauthn.UpdateParams{\n\t\tWebAuthnRegistrationID: \"webauthn-registration-test-5c44cc6a-8af7-48d6-8da7-ea821342f5a6\",\n\t\tName:                   \"Google Passkey\",\n\t}\n\n\tresp, err := client.WebAuthn.Update(context.Background(), params)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: |-
            // PUT /v1/webauthn/{webauthn_registration_id}
            package com.example;

            import com.stytch.java.common.StytchResult;
            import com.stytch.java.consumer.models.webauthn.UpdateRequest;
            import com.stytch.java.consumer.StytchClient;

            public class Main {
                public static void main(String[] args) {
                    StytchClient.configure("${projectId}", "${secret}");

                    UpdateRequest params = new UpdateRequest();
                    params.setWebAuthnRegistrationId("webauthn-registration-test-5c44cc6a-8af7-48d6-8da7-ea821342f5a6");
                    params.setName("Google Passkey");

                    Object result = StytchClient.getWebAuthn().update(params);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: |
            // PUT /v1/webauthn/{webauthn_registration_id}
            package com.example

            import com.stytch.java.consumer.StytchClient
            import com.stytch.java.consumer.models.webauthn.UpdateRequest

            fun main() {
                StytchClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchClient.webauthn.update(
                            UpdateRequest(
                                webauthnRegistrationId = "webauthn-registration-test-5c44cc6a-8af7-48d6-8da7-ea821342f5a6",
                                name = "Google Passkey",
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // PUT /v1/webauthn/{webauthn_registration_id}
            const stytch = require('stytch');

            const client = new stytch.Client({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              webauthn_registration_id: "webauthn-registration-test-5c44cc6a-8af7-48d6-8da7-ea821342f5a6",
              name: "Google Passkey",
            };

            client.webauthn.update(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->webauthn->update([
                'webauthn_registration_id' => 'webauthn-registration-test-5c44cc6a-8af7-48d6-8da7-ea821342f5a6',
                'name' => 'Google Passkey',
            ]);
        - lang: python
          label: Python
          source: |
            # PUT /v1/webauthn/{webauthn_registration_id}
            from stytch import Client

            client = Client(
                project_id="${projectId}",
                secret="${secret}",
            )

            resp = client.webauthn.update(
                webauthn_registration_id="webauthn-registration-test-5c44cc6a-8af7-48d6-8da7-ea821342f5a6",
                name="Google Passkey",
            )

            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # frozen_string_literal: true

            # PUT /v1/webauthn/{webauthn_registration_id}
            require 'stytch'

            client = Stytch::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.webauthn.update(
              webauthn_registration_id: "webauthn-registration-test-5c44cc6a-8af7-48d6-8da7-ea821342f5a6",
              name: "Google Passkey"
              
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // PUT /v1/webauthn/{webauthn_registration_id}
            use stytch::consumer::client::Client;
            use stytch::consumer::webauthn::UpdateRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.webauthn.update(
                    UpdateRequest{
                        webauthn_registration_id: "webauthn-registration-test-5c44cc6a-8af7-48d6-8da7-ea821342f5a6",
                        name: "Google Passkey",
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # PUT /v1/webauthn/{webauthn_registration_id}
            curl --request PUT \
              --url https://test.stytch.com/v1/webauthn/webauthn-registration-test-5c44cc6a-8af7-48d6-8da7-ea821342f5a6 \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json' \
              -d '{
                "name": "Google Passkey"
              }'
components:
  schemas:
    api_webauthn_v1_UpdateRequest:
      type: object
      properties:
        name:
          type: string
          description: The `name` of the WebAuthn registration or Passkey.
      description: Request type
      required:
        - name
    api_webauthn_v1_UpdateResponse:
      type: object
      properties:
        request_id:
          type: string
          description: >-
            Globally unique UUID that is returned with every API call. This
            value is important to log for debugging purposes; we may ask for
            this value to help identify a specific API call when helping you
            debug an issue.
        status_code:
          type: integer
          format: int32
          description: >-
            The HTTP status code of the response. Stytch follows standard HTTP
            response status code patterns, e.g. 2XX values equate to success,
            3XX values are redirects, 4XX are client errors, and 5XX are server
            errors.
        webauthn_registration:
          $ref: '#/components/schemas/api_user_v1_WebAuthnRegistration'
          description: A Passkey or WebAuthn registration.
      required:
        - request_id
        - status_code
    api_user_v1_WebAuthnRegistration:
      type: object
      properties:
        webauthn_registration_id:
          type: string
          description: The unique ID for the Passkey or WebAuthn registration.
        domain:
          type: string
          description: >-
            The `domain` on which Passkey or WebAuthn registration was started.
            This will be the domain of your app.
        user_agent:
          type: string
          description: The user agent of the User.
        verified:
          type: boolean
          description: >-
            The verified boolean denotes whether or not this send method, e.g.
            phone number, email address, etc., has been successfully
            authenticated by the User.
        authenticator_type:
          type: string
          description: >-
            The `authenticator_type` string displays the requested authenticator
            type of the Passkey or WebAuthn device. The two valid types are
            "platform" and "cross-platform". If no value is present, the Passkey
            or WebAuthn device was created without an authenticator type
            preference.
        name:
          type: string
          description: The `name` of the Passkey or WebAuthn registration.
      required:
        - webauthn_registration_id
        - domain
        - user_agent
        - verified
        - authenticator_type
        - name
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````